*******************************************************************
* Licensed Materials - Property of IBM
* 5724-L62
*
* (C) Copyright IBM Corp. 2006-2009 All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*******************************************************************

/*  SITUATIONS  */

/*
J2EEAppDiscovered
*/

$PARMS(
"A new J2EE application is discovered. This happens when DC first
 time connects (for all deployed applications), or when new
 application deployed on server."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000000O0WW000W0000000000000004000000000000",
LSTDATE =
"1101026000000000",
ADVISE =
?,
TEXT =
"J2EE Application Discovered"
WHERE SITNAME =
"J2EEAppDiscovered";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYJ.0010.KYJAPHLTH"
WHERE NAME=
"J2EEAppDiscovered";


/*
J2EEAppHealthGood
*/

$PARMS(
"J2EE application is running on good health level. Examine
 Application Health workspaces for additional details."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000000O0WW000W0000000000000004000000000000",
LSTDATE =
"1101026000000000",
ADVISE =
?,
TEXT =
"J2EE Application Health Good"
WHERE SITNAME =
"J2EEAppHealthGood";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYJ.0010.KYJAPHLTH"
WHERE NAME=
"J2EEAppHealthGood";


/*
J2EEAppHealthFair
*/

$PARMS(
"J2EE application is running on fair health level. Examine
 Application Health workspaces for additional details."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000000O0WW000W0000000000000004000000000000",
LSTDATE =
"1101026000000000",
ADVISE =
?,
TEXT =
"J2EE Application Health Fair"
WHERE SITNAME =
"J2EEAppHealthFair";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYJ.0010.KYJAPHLTH"
WHERE NAME=
"J2EEAppHealthFair";


/*
J2EEAppHealthBad
*/

$PARMS(
"J2EE application is running on bad health level. Examine
 Application Health workspaces for additional details."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000000O0WW000W0000000000000004000000000000",
LSTDATE =
"1101026000000000",
ADVISE =
?,
TEXT =
"J2EE Application Health Bad"
WHERE SITNAME =
"J2EEAppHealthBad";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYJ.0010.KYJAPHLTH"
WHERE NAME=
"J2EEAppHealthBad";


/*
J2EEServletsJSPsError
*/

$PARMS(
"An error has occurred in a servlet or JSP. For details, consult the
 Log Analysis workspace for error messages, and check the
 application server's log files."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000000000000000000000000000004000000000000",
LSTDATE =
"1101026000000000",
ADVISE =
?,
TEXT =
"J2EE Servlets/JSPs Error."
WHERE SITNAME =
"J2EEServletsJSPsError";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYJ.0140.KYJWEBAPP"
WHERE NAME=
"J2EEServletsJSPsError";


/*
J2EEError
*/

$PARMS(
"An error has occurred in the J2EE application server. Scroll the
 Initial Situation Values view, and examine the message text to
 determine the corrective action; consult the application server's
 log files for details."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000000O0WW000W0000000000000004000000000000",
LSTDATE =
"1101026000000000",
ADVISE =
?,
TEXT =
"J2EE Application Server Error"
WHERE SITNAME =
"J2EEError";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYJ.0060.KYJLOGANAL"
WHERE NAME=
"J2EEError";


/*
J2EENotConnected
*/

$PARMS(
"The ITCAM for J2EE secondary data collector running in the
 application server has not connected to the Monitoring Agent. This
 may indicate that the J2EE Application Server has not started. Use
 the Start_Application_Server_ command in the Take Action view to
 the left to start your application server."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"00000000000000000000000000W0000000000000000",
LSTDATE =
"1101026000000000",
ADVISE =
?,
TEXT =
"J2EE Application Server is Not Connected"
WHERE SITNAME =
"J2EENotConnected";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYJ.0000.KYJAPSST"
WHERE NAME=
"J2EENotConnected";


/*
J2EEOutofHeapSpace
*/

$PARMS(
"Heap allocation failed: heap space exhausted. Use either ITCAM for
 J2EE's Memory Leaks report to check your applications for memory
 leaks or configure your application server to tune the space
 allocated to the heap."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000000O0WW000Y0000000000000004000000000000",
LSTDATE =
"1101026000000000",
ADVISE =
?,
TEXT =
"J2EE Application Server out of Heap Space"
WHERE SITNAME =
"J2EEOutofHeapSpace";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYJ.0040.KYJGCACT"
WHERE NAME=
"J2EEOutofHeapSpace";


/*
J2EEHighResponseTime
*/

$PARMS(
"The average request response time is high: greater than 2 seconds.
 Consult the Request Analysis workspace to troubleshoot the slow
 response times."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000000O0WW000Y0000000000000004000000000000",
LSTDATE =
"1101026000000000",
ADVISE =
?,
TEXT =
"J2EE Application Server Response Time High"
WHERE SITNAME =
"J2EEHighResponseTime";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYJ.0020.KYJREQUEST"
WHERE NAME=
"J2EEHighResponseTime";


/*
J2EEHighCPUPercentUsed
*/

$PARMS(
"The percentage of the CPU used by the application server JVM is
 high: greater than 80%. Consult the J2EE Application Server
 workspace to troubleshoot the high CPU usage."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000000O0WW000Y0000000000000004000000000000",
LSTDATE =
"1101026000000000",
ADVISE =
?,
TEXT =
"J2EE Application Server Percent CPU Used High"
WHERE SITNAME =
"J2EEHighCPUPercentUsed";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYJ.0080.KYJAPSRV"
WHERE NAME=
"J2EEHighCPUPercentUsed";


/*
J2EEHighGCTimePercent
*/

$PARMS(
"The percentage of time that the garbage collector was active is
 high: greater than 80%. This may mean your heap size is too small;
 update startup options for Application Server JVM tune either the
 garbage-collection parameters or the space allocated to the heap."
);

UPDATE O4SRV.TSITDESC
SET AFFINITIES = 
"0000000O0WW000Y0000000000000004000000000000",
LSTDATE =
"1101026000000000",
ADVISE =
?,
TEXT =
"J2EE Application Server High GC Time Percent"
WHERE SITNAME =
"J2EEHighGCTimePercent";

UPDATE O4SRV.TTMPLSIT
SET TEMPLATE =
"KYJ.0040.KYJGCACT"
WHERE NAME=
"J2EEHighGCTimePercent";


/*
YJSTARTBL
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000W0000000000000004000000000000",
NAME = 
"Start_Baselining",
DESC = 
"Start a baselening for J2EE Application",
CMD  = 
"YJ:Start_Baselining &App_Id &Period &Update_Interval &Run_Clean"
WHERE KEY = 
"YJSTARTBL";

/*
YJSTOPBL
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000W0000000000000004000000000000",
NAME = 
"Stop_Baselining",
DESC = 
"Stop a baselening for J2EE Application",
CMD  = 
"YJ:Stop_Baselining &App_Id"
WHERE KEY = 
"YJSTOPBL";

/*
YJARESATS
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000W0000000000000004000000000000",
NAME = 
"Enable_Auto_Threshold",
DESC = 
"Sets automatic response threshold for J2EE Application",
CMD  = 
"YJ:Enable_Auto_Threshold &App_Id &Request_Id &Auto_Threshold_Percent
 &Auto_Threshold_Deviation &Auto_Threshold_Fair_Projection
 &Auto_Threshold_Bad_Projection &Use_Default"
WHERE KEY = 
"YJARESATS";

/*
YJREQRESTS
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000W0000000000000004000000000000",
NAME = 
"Override_Auto_Threshold",
DESC = 
"Override request response thresholds for J2EE Application",
CMD  = 
"YJ:Override_Auto_Threshold &App_Id &Request_Id
 &Fair_Response_Threshold &Bad_Response_Threshold"
WHERE KEY = 
"YJREQRESTS";

/*
YJAPPMONEN
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000W0000000000000004000000000000",
NAME = 
"Set_Application_Monitoring",
DESC = 
"Enables monitoring of J2EE Application",
CMD  = 
"YJ:Set_Application_Monitoring &App_Id &Mon_Status
 &Request_Data_Monitoring_Level &Request_Data_Sampling_Rate
 &Reflex_Automation_Mode"
WHERE KEY = 
"YJAPPMONEN";

/*
YJERRRTS
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000W0000000000000004000000000000",
NAME = 
"Set_Completion_Thresholds",
DESC = 
"Sets error rate thresholds for J2EE Application",
CMD  = 
"YJ:Set_Completion_Thresholds &App_Id &Fair_Completion_Rate
 &Bad_Completion_Rate"
WHERE KEY = 
"YJERRRTS";

/*
YJUPDTBSL
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000W0000000000000004000000000000",
NAME = 
"Update_Baseline",
DESC = 
"Requests immediate updated from baseline data.",
CMD  = 
"YJ:Update_Baseline_Snapshot &App_Id"
WHERE KEY = 
"YJUPDTBSL";

/*
YJREMAPP
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000W0000000000000004000000000000",
NAME = 
"Remove_J2EE_Application",
DESC = 
"Remove undeployed application data and configuration",
CMD  = 
"YJ:Remove_Application &App_Id"
WHERE KEY = 
"YJREMAPP";

/*
YJSTARTSRV
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000W0000000000000004000000000000",
NAME = 
"Start_Application_Server",
DESC = 
"Start a J2EE Application Server",
CMD  = 
"YJ:StartAppSvr &User &Password"
WHERE KEY = 
"YJSTARTSRV";

/*
YJSTARTSRVA
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"00000000000000000000000000W0000000000000000",
NAME = 
"Start_Application_Server_",
DESC = 
"Start a J2EE Application Server",
CMD  = 
"YJ:StartAppSvr &Server_Name &User &Password"
WHERE KEY = 
"YJSTARTSRVA";

/*
YJSTOPSRV
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000W0000000000000004000000000000",
NAME = 
"Stop_Application_Server",
DESC = 
"Stop a J2EE Application Server",
CMD  = 
"YJ:StopAppSvr &User &Password"
WHERE KEY = 
"YJSTOPSRV";

/*
YJSTOPSRVA
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"00000000000000000000000000W0000000000000000",
NAME = 
"Stop_Application_Server_",
DESC = 
"Stop a J2EE Application Server",
CMD  = 
"YJ:StopAppSvr &Server_Name &User &Password"
WHERE KEY = 
"YJSTOPSRVA";

/*
YJCYCLESRV
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000W0000000000000004000000000000",
NAME = 
"Recycle_Application_Server",
DESC = 
"Recycle a J2EE Application Server",
CMD  = 
"YJ:CycleAppSvr &User &Password"
WHERE KEY = 
"YJCYCLESRV";

/*
YJCYCLESRVA
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"00000000000000000000000000W0000000000000000",
NAME = 
"Recycle_Application_Server_",
DESC = 
"Recycle a J2EE Application Server",
CMD  = 
"YJ:CycleAppSvr &Server_Name &User &Password"
WHERE KEY = 
"YJCYCLESRVA";

/*
YJREMSNODE
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000Y0000000000000004000000000000",
NAME = 
"Remove_J2EE_SubNode",
DESC = 
"Remove an inactive ITCAM for J2EE subnode",
CMD  = 
"YJ:RemSubNode"
WHERE KEY = 
"YJREMSNODE";

/*
YJREMSNODEA
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"00000000000000000000000000W0000000000000000",
NAME = 
"Remove_J2EE_SubNode_",
DESC = 
"Remove an inactive ITCAM for J2EE subnode",
CMD  = 
"YJ:RemSubNode &Server_Name"
WHERE KEY = 
"YJREMSNODEA";

/*
YJSTARTGCMONITOR
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000Y0000000000000004000000000000",
NAME = 
"Start_GC_Monitoring",
DESC = 
"Begin reporting garbage-collection data",
CMD  = 
"YJ:StartGCMonitor"
WHERE KEY = 
"YJSTARTGCMONITOR";

/*
YJSTOPGCMONITOR
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000Y0000000000000004000000000000",
NAME = 
"Stop_GC_Monitoring",
DESC = 
"Stop reporting garbage-collection data",
CMD  = 
"YJ:StopGCMonitor"
WHERE KEY = 
"YJSTOPGCMONITOR";

/*
YJSTARTREQMONITOR
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000Y0000000000000004000000000000",
NAME = 
"Start_Request_Monitoring",
DESC = 
"Begin reporting request data",
CMD  = 
"YJ:StartRequestMonitor &Level"
WHERE KEY = 
"YJSTARTREQMONITOR";

/*
YJSETREQMONITOR
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000Y0000000000000004000000000000",
NAME = 
"Set_Request_Sampling_Rate",
DESC = 
"Set the sampling rate for request data",
CMD  = 
"YJ:SetRequestSamplingRate &Percent"
WHERE KEY = 
"YJSETREQMONITOR";

/*
YJSTOPREQMONITOR
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000Y0000000000000004000000000000",
NAME = 
"Stop_Request_Monitoring",
DESC = 
"Stop reporting request data",
CMD  = 
"YJ:StopRequestMonitor"
WHERE KEY = 
"YJSTOPREQMONITOR";

/*
YJSTARTRESMONITOR
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000Y0000000000000004000000000000",
NAME = 
"Start_Resource_Monitoring",
DESC = 
"Begin reporting PMI data",
CMD  = 
"YJ:StartResourceMonitor"
WHERE KEY = 
"YJSTARTRESMONITOR";

/*
YJSTOPRESMONITOR
*/

UPDATE O4SRV.CCT
SET AFFINITIES =
"0000000O0WW000Y0000000000000004000000000000",
NAME = 
"Stop_Resource_Monitoring",
DESC = 
"Stop reporting PMI data",
CMD  = 
"YJ:StopResourceMonitor"
WHERE KEY = 
"YJSTOPRESMONITOR";
